### Function

# Atspi register_device_event_listener

#### Declaration [src]

    gboolean
    atspi_register_device_event_listener (
      AtspiDeviceListener* listener,
      AtspiDeviceEventMask event_types,
      void* filter,
      GError** error
    )

#### Description [src]

This function does nothing and should not be called.

#### Parameters

`listener`

  Type: `AtspiDeviceListener`

  No description available.

  The data is owned by the caller of the function.

`event_types`

  Type: `AtspiDeviceEventMask`

  No description available.

`filter`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Always returns `FALSE`.